AutoMassSecure Plug-In for Adobe Acrobat

AutoMassSecure Plug-In for Adobe Acrobat 1.5

It is designed for securing batches of PDF files with individual passwords
 
1.5 (See all)

AutoMassSecure Plug-In for Adobe Acrobat is a program designed for securing batches of PDF files with individual passwords. The plug-in allows restricting document access rights such as printing or editing. The plug-in functionality is seamlessly integrated with the Adobe Acrobat application as a menu selection.

Info updated on: